#   FILE: qtutils.spec.new.in --
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 22 July 2001
#
# Copyright (C) 2001 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define rel 1
%define prefix /usr

Summary: one_liner_qtutils.txt
Name: qtutils
Version: 0.0.6
Release: %rel
Copyright: GPL
Group: Applications/Video
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /home/mike/development/live
Packager: W. Michael Petullo <mike@flyn.org>
Vendor: Flyn Computing
Distribution: Flyn Linux
URL: http://www.flyn.org
Requires: libquicktime libvorbis libpng libjpeg bash mktemp mjpegtools vcdimager XFree86 netpbm-progs ImageMagick

# ============================= description ====================================
%description

     _________________________________________________________________

   Table of Contents

   Qtutils currently contains the following applications:

   qtsg
          Generates a QuickTime video from image files and a soundtrack.

   qtconv
          Changes the codec used by a QuickTime video.

   qtsplit
          Splits a QuickTime file into smaller files.

   mpegize
          A script which generates an MPEG stream from QuickTime input.

   vcdize
          A  script  which generates a Video CD disc image from QuickTime
          input.

   screenqt
          A  script  which  generates  a  QuickTime file from a series of
          screenshots.

References

   Visible links
   Hidden links:
   1. file://localhost/tmp/xmlto.mzB3mD/overview_wrapper.proc#id2798757


# ============================= changelog ======================================
%changelog

# ============================= prep ===========================================
%prep

# ============================= setup ==========================================
%setup

# ============================= build ==========================================
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

# ============================= install ========================================
%install
mkdir -p $RPM_BUILD_ROOT/usr/bin

# NOTE: The following trick only works with a modified header-vars.am.
# Change the line ``DESTDIR ='' in this file to ``DESTDIR =
# ${ENV_DESTDIR}.''
export ENV_DESTDIR=$RPM_BUILD_ROOT
make install

gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README

# ============================= clean ==========================================
%clean
rm -rf $RPM_BUILD_ROOT

# ============================= pre ============================================
%pre

# ============================= post ===========================================
%post

# ============================= preun ==========================================
%preun

# ============================= postun =========================================
%postun

# ============================= files ==========================================
%files
%defattr(-, root, root)
%{prefix}/bin/qtsg
%{prefix}/man/man1/qtsg.1
%{prefix}/bin/qtconv
%{prefix}/man/man1/qtconv.1
%{prefix}/bin/qtsplit
%{prefix}/man/man1/qtsplit.1
%{prefix}/bin/mpegize
%{prefix}/bin/vcdize

# ============================= doc ============================================
%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz

# ============================= config =========================================
%config
